<?php 
	if ( function_exists('register_sidebar') ) 
	register_sidebar(array( 
	'name' => 'MainSidebar', 
	'before_widget' => '', 
	'after_widget' => '', 
	'before_title' => '<h2>', 
	'after_title' => '</h2>', 
	)); 
	
	if ( function_exists('register_sidebar') ) 
	register_sidebar(array( 
	'name' => 'MainSidebar Left', 
	'before_widget' => '', 
	'after_widget' => '', 
	'before_title' => '<h2>', 
	'after_title' => '</h2>', 
	)); 
	
	if ( function_exists('register_sidebar') ) 
	register_sidebar(array( 
	'name' => 'MainSidebar Right', 
	'before_widget' => '', 
	'after_widget' => '', 
	'before_title' => '<h2>', 
	'after_title' => '</h2>', 
	));
	
	if ( function_exists('register_sidebar') ) 
	register_sidebar(array( 
	'name' => 'Bottom Left', 
	'before_widget' => '', 
	'after_widget' => '', 
	'before_title' => '<h2>', 
	'after_title' => '</h2>', 
	)); 
	
	if ( function_exists('register_sidebar') ) 
	register_sidebar(array( 
	'name' => 'Bottom Middle', 
	'before_widget' => '', 
	'after_widget' => '', 
	'before_title' => '<h2>', 
	'after_title' => '</h2>', 
	)); 
	
	if ( function_exists('register_sidebar') ) 
	register_sidebar(array( 
	'name' => 'Bottom Right', 
	'before_widget' => '', 
	'after_widget' => '', 
	'before_title' => '<h2>', 
	'after_title' => '</h2>', 
	));  
	
	function da_comment($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment; 
	global $i;
	?>
	<?php if($i){ $i++; } else { $i = 1; } ?>
	
    <li <?php comment_class('clearfix'); ?> id="li-comment-<?php comment_ID() ?>">
		<div id="comment-<?php comment_ID(); ?>">
			<div class="comment-number">
				<p><?php echo $i; ?></p>

			</div>
	
			<div class="commenti">
				<span class="avatar"><?php echo get_avatar($comment,$size='48',$default='<path_to_url>' ); ?></span>
				<p class="comment-author">
					<span class="author-name"><?php comment_author(); ?></span>
					<?php if (get_comment_author_url()) : ?><em> at <a href="<?php comment_author_url(); ?>" title="<?php comment_author_url(); ?>"><?php comment_author_url(); ?></a></em><?php endif; ?>
				</p>
				<div class="comment-content">
					<?php comment_text(); ?>
				</div>
				<p class="comment-meta">Posted at <?php comment_time('F j, Y'); ?> on <?php comment_time('g:ia'); ?>. 
				<?php if ($comment->comment_approved == '0') : ?><strong>'Comment is awaiting moderation</strong><?php endif; ?>
				</p>
				<?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
			</div>
		</div>
<?php
	}

	add_action('admin_menu', 'da_menu');
	
	function da_menu() {
	  add_submenu_page('themes.php', 'DA Options', 'DA Options', 8, __FILE__, 'da_options');
	  add_option('da_sitedesc','<p>Nice description of your site. Edittable in Admin Panel</p>');
	  add_option('da_maincolor','F9683C');
	  add_option('da_banner2color','CBA79D');
	  add_option('da_blurbcolor','B7B7B7');
	  add_option('da_lightcolor','757575');
	  add_option('da_linkcolor','5CC5C9');
	  add_option('da_hovercolor','1CE0E7');
	}
	
	function da_options() {
	if ($_POST['action'] == 'update') {
		$da_sitedesc = $_POST['da_sitedesc'];
		$da_maincolor = $_POST['da_maincolor'];
		$da_banner2color = $_POST['da_banner2color'];
		$da_blurbcolor = $_POST['da_blurbcolor'];
		$da_lightcolor = $_POST['da_lightcolor'];
		$da_linkcolor = $_POST['da_linkcolor'];
		$da_hovercolor = $_POST['da_hovercolor'];
		update_option('da_sitedesc', $da_sitedesc);
		update_option('da_maincolor', $da_maincolor);
		update_option('da_banner2color', $da_banner2color);
		update_option('da_blurbcolor', $da_blurbcolor);
		update_option('da_lightcolor', $da_lightcolor);
		update_option('da_linkcolor', $da_linkcolor);
		update_option('da_hovercolor', $da_hovercolor);
		echo '<div class="updated"><p><strong>Options saved.</strong></p></div>';
	}
?>
		<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/jquery.js"></script>
        <script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/colorpicker.js"></script>
        <script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/eye.js"></script>
        <script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/utils.js"></script>
        <script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/js/layout.js?ver=1.0.2"></script>
        <link rel="stylesheet" href="<?php bloginfo('template_directory'); ?>/css/colorpicker.css" type="text/css" />

		<div class="wrap">
		<h2>Dark Autumn Options</h2>
		
		<form method="post" action="<?php echo str_replace('%7E', '~', $_SERVER['REQUEST_URI']); ?>">
		<?php wp_nonce_field('da-update-options'); ?>
		
		<table class="form-table">
		<h3>Site Description</h3>
		<tr valign="top">
		<th scope="row">Must wrap around &lt;p&gt; Tags, and HTML tags allowed</th>
		<td><textarea name="da_sitedesc" cols="50" rows="5"><?php echo get_option('da_sitedesc'); ?></textarea></td>
		</tr>
        </table>
        <table class="form-table" style="margin-bottom: 50px;">
		<h3>Colors</h3>
        <tr valign="top">
        <th scope="row">Main color (default: #F9683C)</th>
        <td><input name="da_maincolor" type="text" maxlength="6" size="6" id="colorpickerField1" value="<?php echo get_option('da_maincolor'); ?>" /></td>
        </tr>
        <tr valign="top">
        <th scope="row">Banner Border color (default: #CBA79D)</th>
        <td><input name="da_banner2color" type="text" maxlength="6" size="6" id="colorpickerField2" value="<?php echo get_option('da_banner2color'); ?>" /></td>
        </tr>
        <tr valign="top">
        <th scope="row">Blurb color (default: #B7B7B7)</th>
        <td><input name="da_blurbcolor" type="text" maxlength="6" size="6" id="colorpickerField3" value="<?php echo get_option('da_blurbcolor'); ?>" /></td>
        </tr>
        <tr valign="top">
        <th scope="row">Light color (default: #757575) (used in Meta information of posts)</th>
        <td><input name="da_lightcolor" type="text" maxlength="6" size="6" id="colorpickerField4" value="<?php echo get_option('da_lightcolor'); ?>" /></td>
        </tr>
        <tr valign="top">
        <th scope="row">Link color (default: #5CC5C9)</th>
        <td><input name="da_linkcolor" type="text" maxlength="6" size="6" id="colorpickerField5" value="<?php echo get_option('da_linkcolor'); ?>" /></td>
        </tr>
        <tr valign="top">
        <th scope="row">Link hover color (default: #1CE0E7)</th>
        <td><input name="da_hovercolor" type="text" maxlength="6" size="6" id="colorpickerField6" value="<?php echo get_option('da_hovercolor'); ?>" /></td>
        </tr>
        <script> 
		$('#colorpickerField1, #colorpickerField2, #colorpickerField3, #colorpickerField4, #colorpickerField5, #colorpickerField6').ColorPicker({
			onSubmit: function(hsb, hex, rgb, el) {
				$(el).val(hex);
				$(el).ColorPickerHide();
			},
			onBeforeShow: function () {
				$(this).ColorPickerSetColor(this.value);
			}
		})
		.bind('keyup', function(){
			$(this).ColorPickerSetColor(this.value);
		});
		</script>
		</table>
		
		<input type="hidden" name="action" value="update" />
		<input type="hidden" name="page_options" value="da_sitedesc" />
		
		<p class="submit">
		<input type="submit" name="Submit" value="Save Changes" />
		</p>
		
		</form>
		</div>

<?php
	}
?>