<?php get_header(); ?>
			<div id="entries">
			<?php if (have_posts()) : ?>

			<?php while (have_posts()) : the_post(); ?>
				<div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
					<div class="post-title">
						<h2><a href="<?php the_permalink(); ?>" title="Read <?php the_title(); ?>"><?php the_title(); ?></a></h2>
					</div>
                    
					<?php if(is_category() || is_archive()) : ?>
					<div class="post-subtitle">
						<h3><?php the_excerpt(); ?></h3>
					</div>
					<?php endif; ?>
                    
					<div class="post-content clearfix">
						<?php the_content(); ?>
					</div>
					<div class="post-footer">
						<p><strong><?php the_title(); ?></strong> was published on <?php the_time('F jS, Y'); ?>.</p>
                        <?php edit_post_link('edit this article', '<p>Feel free to ', '.</p>'); ?> 
					</div>
				</div>
				
			<?php endwhile; ?>
				<?php comments_template(); ?>
				<div id="pagination">
					<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
					<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
				</div>
				<?php else : ?>
				<div class="post">
				<div class="post-title"><h2>Not Found</h2></div>
				<div class="post-content clearfix"><p>Sorry, but you are looking for something that isn't here. Perhaps... try searching around?</p></div>
				<?php get_search_form(); ?>
				</div>
            <?php endif; ?>
			</div>
<?php get_sidebar(); ?>
<?php include (TEMPLATEPATH . "/secondary.php"); ?>
<?php get_footer(); ?>